Attach a CD-ROM
Attachs a CD-ROM to an existing server specified by its ID.
CD-ROMs cannot be created stand-alone like volumes. They are either attached to a server or do not exist. They always have an ISO-Image associated; empty CD-ROMs can not be provisioned. It is possible to attach up to two CD-ROMs to the same server.
Note that attaching a CD-ROM leads to a reset of the server.
Attaching a CD-ROM to a server with Confidential Computing enabled (i.e. when one of the attached volumes uses a Confidential Computing image) is not allowed.
You will need to base64 encode the string containing your credentials.
- Basic Authentication is supported only when 2-Factor Authentication is not configured.
- Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
- Token deletion is only possible using the Token Manager.
The unique ID of the data center.
The unique ID of the server.
Controls whether the response is pretty-printed (with indentations and new lines).
trueControls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on
0Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
The resource's unique identifier.
15f67991-0f51-4efc-a8ad-ef1fb31a480cURL to the object representation (absolute path).
<RESOURCE-URI>Successful operation
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).
POST /cloudapi/v6/datacenters/{datacenterId}/servers/{serverId}/cdroms HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 450
{
"type": "image",
"metadata": {},
"properties": {
"name": "My resource",
"description": "The image/snapshot of Ubuntu ",
"cpuHotPlug": true,
"cpuHotUnplug": true,
"ramHotPlug": true,
"ramHotUnplug": true,
"nicHotPlug": true,
"nicHotUnplug": true,
"discVirtioHotPlug": true,
"discVirtioHotUnplug": true,
"discScsiHotPlug": true,
"discScsiHotUnplug": true,
"exposeSerial": true,
"requireLegacyBios": true,
"licenceType": "LINUX",
"applicationType": "MSSQL-2019-Standard",
"cloudInit": "V1"
}
}{
"id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
"type": "image",
"href": "<RESOURCE-URI>",
"metadata": {
"etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
"createdDate": "2015-12-04T14:34:09.809Z",
"createdBy": "user@example.com",
"createdByUserId": "user@example.com",
"lastModifiedDate": "2015-12-04T14:34:09.809Z",
"lastModifiedBy": "user@example.com",
"lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
"state": "AVAILABLE"
},
"properties": {
"name": "My resource",
"description": "The image/snapshot of Ubuntu ",
"location": "us/las",
"size": 100,
"cpuHotPlug": true,
"cpuHotUnplug": true,
"ramHotPlug": true,
"ramHotUnplug": true,
"nicHotPlug": true,
"nicHotUnplug": true,
"discVirtioHotPlug": true,
"discVirtioHotUnplug": true,
"discScsiHotPlug": true,
"discScsiHotUnplug": true,
"exposeSerial": true,
"requireLegacyBios": true,
"licenceType": "LINUX",
"applicationType": "MSSQL-2019-Standard",
"imageType": "HDD",
"public": true,
"imageAliases": [
"text"
],
"requiredFeatures": [
"text"
],
"cloudInit": "V1"
}
}Last updated
Was this helpful?